For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet non-insurance payer refunds refunds
        • GETGet non-insurance payer refund
        • POSTCreate non-insurance payer refund
        • PATCHUpdate
        • DELDelete non-insurance payer refund
Contact Sales
LogoLogo
API ReferenceNon Insurance Payer RefundsV1

Create non-insurance payer refund

Beta
POST
/api/non-insurance-payer-refunds/v1
POST
/api/non-insurance-payer-refunds/v1
$curl -X POST https://api.joincandidhealth.com/api/non-insurance-payer-refunds/v1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "amount_cents": 1,
> "allocations": [
> {
> "amount_cents": 1,
> "target": {
> "type": "service_line_by_id",
> "value": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> }
> },
> {
> "amount_cents": 1,
> "target": {
> "type": "service_line_by_id",
> "value": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> }
> }
> ]
>}'
1{
2 "non_insurance_payer_refund_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "non_insurance_payer": {
4 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
5 "name": "name",
6 "enabled": true,
7 "clinical_trials": [
8 {
9 "clinical_trial_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
10 "clinical_trial_number": "clinical_trial_number",
11 "is_active": true,
12 "name": "name",
13 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
14 "clinical_trial_phase": "Phase 1"
15 },
16 {
17 "clinical_trial_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
18 "clinical_trial_number": "clinical_trial_number",
19 "is_active": true,
20 "name": "name",
21 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
22 "clinical_trial_phase": "Phase 1"
23 }
24 ],
25 "description": "description",
26 "category": "category",
27 "address": {
28 "address1": "address1",
29 "city": "city",
30 "state": "AA",
31 "zip_code": "zip_code",
32 "address2": "address2",
33 "zip_plus_four_code": "zip_plus_four_code"
34 }
35 },
36 "amount_cents": 1,
37 "allocations": [
38 {
39 "amount_cents": 1,
40 "target": {
41 "type": "service_line",
42 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
43 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
44 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
45 },
46 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
47 "earmark": {
48 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
49 "target": {
50 "type": "date_of_service",
51 "value": "target"
52 },
53 "amount_earmarked_cents": 1,
54 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
55 },
56 "allocated_on": "2024-01-15T09:30:00Z"
57 },
58 {
59 "amount_cents": 1,
60 "target": {
61 "type": "service_line",
62 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
63 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
64 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
65 },
66 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
67 "earmark": {
68 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
69 "target": {
70 "type": "date_of_service",
71 "value": "target"
72 },
73 "amount_earmarked_cents": 1,
74 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
75 },
76 "allocated_on": "2024-01-15T09:30:00Z"
77 }
78 ],
79 "refund_timestamp": "2024-01-15T09:30:00Z",
80 "refund_note": "refund_note",
81 "check_number": "check_number",
82 "refund_reason": "OVERCHARGED",
83 "invoice_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
84}

Creates a new non-insurance payer refund record and returns the newly created NonInsurancePayerRefund object. The allocations can describe whether the refund is being applied toward a specific service line, claim, or billing provider.

Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
non_insurance_payer_idUUIDRequired
amount_centsintegerRequired
allocationslist of objectsRequired
invoice_idUUIDOptional
refund_timestampdatetimeOptional
refund_notestringOptional
check_numberstringOptional
refund_reasonenumOptional
Allowed values:

Response

This endpoint returns an object.
non_insurance_payer_refund_idUUID
non_insurance_payerobject
amount_centsinteger
allocationslist of objects
refund_timestampdatetime
refund_notestring
check_numberstring
refund_reasonenum
Allowed values:
invoice_idUUID

Errors

404
Entity Not Found Error
422
Unprocessable Entity Error